# =========================================== #
#             L2Build Dev. Team               #
# =========================================== #

# =========================================== #
# Класс-мастер
# =========================================== #
# Default: False
AllowClassMasters = false

# ConfigClassMaster=1;[57(100000)];[];2;[57(1000000)];[];3;[57(10000000)],[5575(1000000)];[6622(1)]
# 1st occupation change for 100.000 Adena (item id 57)
# 2nd occupation change for 1.000.000 Adena (item id 57)
# 3rd occupation change for 10.000.000 Adena (item id 57) and 1.000.000 Ancient Adena (item id 5575)
# on 3rd occupation change player will be rewarded with 1 Book of Giants (item id 6622)
# ConfigClassMaster=1;[];[];2;[];[];3;[];[]
# 1st, 2nd, 3rd occupation change for free, without rewards.
# ConfigClassMaster=1;[];[];2;[];[]
# Allow only first and second change.
ConfigClassMaster = 1;[];[];2;[];[];3;[];[]

# Class Masters will allow changing to any occupation on any level inside class tree
# For example, Dwarven Fighter will be able to advance to:
# Artisan, Scavenger, Warsmith, Bounty Hunter, Maestro, Fortune Seeker.
# But Warsmith will be able to change only to Maestro.
# Default = False
AllowEntireTree = false

# =========================================== #
# Настройки бафера //spawn 50000
# =========================================== #
# Id сертификата на премиум бафф
PremiumBuffItemId = 4037
PremiumBuffItemsCount = 10

# Премиум бафф можно использовать только с ПА
PremiumBuffOnlyPremium = false

# Список доступных баффов
BuffsList = 1363,1355,1356,1357,1068,1085,1240,1059,1086,1303,1077,1043,1242,1062,1040,1243,1036,1078,1035,1087,1048,1044,1204,1268,1045,274,271,275,310,272,276,273,277,264,266,267,265,269,304,268,1182,1189,1191,1353,1033,1352,1259,1354,1362,364,365,349,4699,4700,4702,4703,4554,4553,307,270,306,308

# Максимальное кол-во профилей для одного игрока
MaxProfiles = 3

# Максимальное кол-во бафов в одном профиле
MaxBuffsProfiles = 30

# Сохранять профили игроков во время рестарта сервера?
SaveBuffersOnShutdown = true

# Цена за один бафф
BuffItemId = 57
BuffItemCount = 1000

# Цена за один Dance/Song
DanceItemId = 57
DanceItemCount = 1000

# Цена за восстановление Hp/Cp/Mp
HealItemId = 57
HealItemCount = 1000

# Цена за бафф одного профиля
ProfileItemCount = 1000

# =========================================== #
# Личный баффер игроков
# =========================================== #

# Включить личного баффера
EnablePrivateBuffer = false

# Проверки на использование приватного баффера
# Доступные значения: ALL ATTACK PVP PEACE SIEGE OLYMPIAD TVT
PrivateBufferExcludeOn = ATTACK PVP SIEGE OLYMPIAD TVT

# Id предмета с которого будем спаунить баффера
PrivateBufferItemId = 4356
# Id Npc который проспаунится
PrivateBufferNpcId = 50007

# Кол-во адены за 1 бафф
PrivateBuffItems = 1
# Кол-во адены за 1 денс/сонг
PrivateDanceItems = 1
# Кол-во адены за восстановление Hp\Cp\Mp
PrivateHealItems = 1
# Цена за использование профиля
PrivateProfileItems = 1

# Список доступных баффов
PrivateBuffsList = 1363,1355,1356,1357,1068,1085,1240,1059,1086,1303,1077,1043,1242,1062,1040,1243,1036,1078,1035,1087,1048,1044,1204,1268,1045,274,271,275,310,272,276,273,277,264,266,267,265,269,304,268,1182,1189,1191,1353,1033,1352,1259,1354,1362,364,365,349,4699,4700,4702,4703,4554,4553

# Время до удаления баффера из мира
# Указывать в минутах
BufferLifeTime = 5

# Интервал использования предмета который спаунит баффера
# Указывать в милисекундах
# 3000 = 5 минут
BufferItemUseDelay = 3000

# =========================================== #
# Настройки NPC
# =========================================== #

# Allow the wyvern manager located in every castle to train wyverns and striders from hatchlings
AllowWyvernUpgrader = False

# Информация об Npc по Shift+клик
AltGameViewNpc = false

# Альтернативные настройки АИ мобов как в C1
AltGameMobAttackAI = false

# Alternative mob behavior in peace zones
# Default = True; Set to False to prevent mobs from auto-aggro against players in peace zones
AltMobAggroInPeaceZone = True

# Минимальный и максимальный интервал между анимацией npc и мобов.
# Соблюдайте правило MinNPCAnimation <= MaxNPCAnimation.
MinNPCAnimation = 10
MaxNPCAnimation = 20
MinMonsterAnimation = 5
MaxMonsterAnimation = 20

# Показывать Лвл и Аггро информацию в титуле у мобов
ShowNpcLevel = False

# Максимальное отклонение мобов от точки спауна
MaxDriftRange = 200

# If you wish to disable the use of guards agains agressive monsters.
# Default is False.
GuardsAttackAggroMobs = False

# Announce to players the location of the Mammon NPCs during Seal Validation.
AnnounceMammonSpawn = True

# List of pet rent (wyvern,strider). etc: 111,222,333
ListPetRentNpc = 7827

# Автотаргет Npc
# Функция работает только с Npc,
# Автовзятие таргета когда вас атакуют мобы
EnableAutoTargetNPC = False


# =========================================== #
# Настройки Grand Boss
# =========================================== #

# ===========================================
# Queen Ant
# ===========================================
# Время респауна Ant Queen.
# Минимальное время респауна Ant Queen
# Указывать в часах
QueenAntRespFirst = 20
# Рандомное время респауна +-
# Указывать в часах
QueenAntRespSecond = 8
# Время респауна миньенов в секундах
# Nurses
QueenAntRespNurse = 60
# Royal Guard
QueenAntRespRoyal = 120

# ===========================================
# Orfen
# ===========================================
# Время респауна Orfen.
# Минимальное время респауна Orfen
# Указывать в часах
OrfenRespFirst = 20
# Рандомное время респауна +-
# Указывать в часах
OrfenRespSecond = 8

# =========================================== #
# Настройки Raid Boss
# =========================================== #
# HP/MP % regeneration for RaidBoss and their minions
RaidHpRegenMultiplier = 100
RaidMpRegenMultiplier = 100

# % P/M defense for RaidBoss and their minions
RaidPDefenceMultiplier = 100
RaidMDefenceMultiplier = 100

#Configure Minimum and Maximum multiplier time between RaidBoss respawn.
#By Default 12Hours*1.0 for Minimum Time and 24Hours*1.0 for Maximum Time.
RaidMinRespawnMultiplier = 1.0
RaidMaxRespawnMultiplier = 1.0

# Minions respawn timer 300000 = 5 mins
RaidMinionRespawnTime = 300000

# =========================================== #
# Мобы чемпионы
# =========================================== #
# Активировать мобов чемпионов?
ChampionEnable = False

# Даже если моб агрессивный, а у он стал чемпионом то ему присвоится статус пассивный?
ChampionPassive = False

# Шанс, что моб станет чемпионом
# Указывать в %
ChampionFrequency = 5

# Титул у мобов чемпионов
ChampionTitle = Champion

# Мин. и макс. уровень у чемпионов
ChampionMinLevel = 20
ChampionMaxLevel = 70

# Множитель ХП
ChampionHp = 8

# Множитель регена ХП
ChampionHpRegen = 1.

# Множитель дропа предметов
ChampionRewards = 8

# Множительно дропа адены и камней в катах
ChampionAdenasRewards = 1

# Множитель Физ.Атаки
ChampionAtk = 1.

# Множитель скорости атаки и каста
ChampionSpdAtk = 1.

# Шанс дропа спец. предметов с чемпионов низкого уровня
ChampionRewardLowerLvlItemChance = 0

# Шанс дропа спец. предметов с чемпионов высокого уровня
ChampionRewardHigherLvlItemChance = 0

# Id спец. предмента
ChampionRewardItemID = 6393

# Кол-во дропа спец. предметов
ChampionRewardItemQty = 1